Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.appender.db.jdbc
Class ColumnConfig

    java.lang.Object
      org.apache.logging.log4j.core.appender.db.jdbc.ColumnConfig

    @Plugin(name="Column",
            category="Core",
            printObject=true)
    public final class ColumnConfig

extends Object

A configuration element used to configure which event properties are logged to which columns in the database table.

Method Summary
`static ColumnConfig` | `createColumnConfig(Configuration config, String name, String pattern, String literalValue, String eventTimestamp, String unicode, String clob)` Factory method for creating a column config within the plugin manager.
`String` | `getColumnName()`
`PatternLayout` | `getLayout()`
`String` | `getLiteralValue()`
`boolean` | `isClob()`
`boolean` | `isEventTimestamp()`
`boolean` | `isUnicode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getColumnName

    public String getColumnName()

### getLayout

    public PatternLayout getLayout()

### getLiteralValue

    public String getLiteralValue()

### isEventTimestamp

    public boolean isEventTimestamp()

### isUnicode

    public boolean isUnicode()

### isClob

    public boolean isClob()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### createColumnConfig

    @PluginFactory
    public static ColumnConfig createColumnConfig(@PluginConfiguration
                                                                Configuration config,
                                                                @PluginAttribute(value="name")
                                                                String name,
                                                                @PluginAttribute(value="pattern")
                                                                String pattern,
                                                                @PluginAttribute(value="literal")
                                                                String literalValue,
                                                                @PluginAttribute(value="isEventTimestamp")
                                                                String eventTimestamp,
                                                                @PluginAttribute(value="isUnicode")
                                                                String unicode,
                                                                @PluginAttribute(value="isClob")
                                                                String clob)

  Factory method for creating a column config within the plugin manager.

  Parameters:
    `config` - The configuration object
    `name` - The name of the database column as it exists within the database table.
    `pattern` - The `PatternLayout` pattern to insert in this column. Mutually exclusive with `literalValue!=null` and `eventTimestamp=true`
    `literalValue` - The literal value to insert into the column as-is without any quoting or escaping. Mutually exclusive with `pattern!=null` and `eventTimestamp=true`.
    `eventTimestamp` - If `"true"`, indicates that this column is a date-time column in which the event timestamp should be inserted. Mutually exclusive with `pattern!=null` and `literalValue!=null`.
    `unicode` - If `"true"`, indicates that the column is a Unicode String.
    `clob` - If `"true"`, indicates that the column is a character LOB (CLOB).
  Returns:
    the created column config.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.